#
# spec file for package eog-plugins
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           eog-plugins
Version:        44.0
Release:        1.1
Summary:        A collection of plugins for Eye of GNOME
License:        GPL-2.0-or-later
Group:          Productivity/Graphics/Viewers
URL:            http://live.gnome.org/EyeOfGnome/Plugins
Source:         https://download.gnome.org/sources/eog-plugins/44/%{name}-%{version}.tar.xz
Source99:       eog-plugins.SUSE

BuildRequires:  fdupes
BuildRequires:  meson >= 0.57.0
BuildRequires:  pkgconfig
BuildRequires:  python3 >= 3.2
BuildRequires:  pkgconfig(champlain-gtk-0.12) >= 0.9.0
BuildRequires:  pkgconfig(clutter-gtk-1.0) >= 1.1.2
BuildRequires:  pkgconfig(eog) >= 41.0
BuildRequires:  pkgconfig(gio-2.0) >= 2.53.4
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gsettings-desktop-schemas)
BuildRequires:  pkgconfig(libexif) >= 0.6.16
BuildRequires:  pkgconfig(libpeas-1.0) >= 1.14.1
BuildRequires:  pkgconfig(libpeas-gtk-1.0) >= 1.14.1

Requires:       eog
Suggests:       eog-plugin-exif-display
Suggests:       eog-plugin-export-to-folder
Suggests:       eog-plugin-fit-to-width
Suggests:       eog-plugin-fullscreenbg
Suggests:       eog-plugin-light-theme
Suggests:       eog-plugin-map
Suggests:       eog-plugin-maximize-windows
Suggests:       eog-plugin-pythonconsole
Suggests:       eog-plugin-send-by-mail
Suggests:       eog-plugin-slideshowshuffle
Enhances:       eog
Obsoletes:      eog-plugin-hide-titlebar < 42
Obsoletes:      eog-plugin-postasa <= %{version}

%description
This package contains plugins for additional features in Eye of GNOME.

%package -n %{name}-data
Summary:        Common data for eog-plugins
Group:          Productivity/Graphics/Viewers
Requires:       eog
BuildArch:      noarch

%description -n %{name}-data
Common data required by all Eye of Gnome plugins

%package -n eog-plugin-exif-display
Summary:        Eog exif-display plugin
Group:          Productivity/Graphics/Viewers
Requires:       %{name}-data = %{version}
Provides:       eog-plugins:%{_libdir}/eog/plugins/exif-display.plugin

%description -n eog-plugin-exif-display
The Eye of Gnome exif display plugin

%package -n eog-plugin-export-to-folder
Summary:        Eog export to folder plugin
Group:          Productivity/Graphics/Viewers
Requires:       %{name}-data = %{version}
Provides:       eog-plugins:%{_libdir}/eog/plugins/export-to-folder.plugin

%description -n eog-plugin-export-to-folder
The Eye of Gnome export to folder plugin

%package -n eog-plugin-fit-to-width
Summary:        Eog fit to width plugin
Group:          Productivity/Graphics/Viewers
Requires:       %{name}-data = %{version}
Provides:       eog-plugins:%{_libdir}/eog/plugins/fit-to-width.plugin

%description -n eog-plugin-fit-to-width
The Eye of Gnome fit to width plugin

%package -n eog-plugin-fullscreenbg
Summary:        Eog fullscreenbg plugin
Group:          Productivity/Graphics/Viewers
Requires:       %{name}-data = %{version}
Provides:       eog-plugins:%{_libdir}/eog/plugins/fullscreenbg.plugin

%description -n eog-plugin-fullscreenbg
The Eye of Gnome Fullscreen Background plugin

%package -n eog-plugin-light-theme
Summary:        Eog light-theme plugin
Group:          Productivity/Graphics/Viewers
Requires:       %{name}-data = %{version}
Provides:       eog-plugins:%{_libdir}/eog/plugins/light-theme.plugin

%description -n eog-plugin-light-theme
The Eye of Gnome Light Theme plugin

%package -n eog-plugin-map
Summary:        Eog map plugin
Group:          Productivity/Graphics/Viewers
Requires:       %{name}-data = %{version}
Provides:       eog-plugins:%{_libdir}/eog/plugins/map.plugin

%description -n eog-plugin-map
The Eye of Gnome map plugin

%package -n eog-plugin-maximize-windows
Summary:        Eog maximize-windows plugin
Group:          Productivity/Graphics/Viewers
Requires:       %{name}-data = %{version}
Provides:       eog-plugins:%{_libdir}/eog/plugins/maximize-windows.plugin

%description -n eog-plugin-maximize-windows
The Eye of Gnome Maximize Windows plugin

%package -n eog-plugin-pythonconsole
Summary:        Eog pythonconsole plugin
Group:          Productivity/Graphics/Viewers
Requires:       %{name}-data = %{version}
Provides:       eog-plugins:%{_libdir}/eog/plugins/pythonconsole.plugin

%description -n eog-plugin-pythonconsole
The Eye of Gnome python console plugin

%package -n eog-plugin-send-by-mail
Summary:        Eog send-by-mail plugin
Group:          Productivity/Graphics/Viewers
Requires:       %{name}-data = %{version}
Provides:       eog-plugins:%{_libdir}/eog/plugins/send-by-mail.plugin

%description -n eog-plugin-send-by-mail
The Eye of Gnome Send by Mail plugin

%package -n eog-plugin-slideshowshuffle
Summary:        Eog slideshowshuffle plugin
Group:          Productivity/Graphics/Viewers
Requires:       %{name}-data = %{version}
Provides:       eog-plugins:%{_libdir}/eog/plugins/slideshowshuffle.plugin

%description -n eog-plugin-slideshowshuffle
The Eye of Gnome Slideshow Shuffle plugin

%lang_package

%prep
%autosetup -p1
install -m 644 %{SOURCE99} .

%build
%meson \
	-D plugin_postasa=false \
	%{nil}
%meson_build

%install
%meson_install
%find_lang %{name}
%fdupes %{buildroot}%{_libdir}/eog/plugins

%files
%doc eog-plugins.SUSE

%files -n %{name}-data
%license COPYING
%dir %{_datadir}/eog/plugins

%files -n eog-plugin-exif-display
%{_datadir}/metainfo/eog-exif-display.appdata.xml
%{_libdir}/eog/plugins/exif-display.plugin
%{_datadir}/glib-2.0/schemas/org.gnome.eog.plugins.exif-display.gschema.xml
%{_libdir}/eog/plugins/libexif-display.so

%files -n eog-plugin-export-to-folder
%{_datadir}/metainfo/eog-export-to-folder.appdata.xml
%{_libdir}/eog/plugins/export-to-folder.plugin
%{_datadir}/eog/plugins/export-to-folder/
%{_datadir}/glib-2.0/schemas/org.gnome.eog.plugins.export-to-folder.gschema.xml
%{_libdir}/eog/plugins/export-to-folder.py

%files -n eog-plugin-fit-to-width
%{_libdir}/eog/plugins/fit-to-width.plugin
%{_datadir}/metainfo/eog-fit-to-width.appdata.xml
%{_libdir}/eog/plugins/libfit-to-width.so

%files -n eog-plugin-fullscreenbg
%{_datadir}/metainfo/eog-fullscreenbg.appdata.xml
%{_libdir}/eog/plugins/fullscreenbg.plugin
%{_datadir}/glib-2.0/schemas/org.gnome.eog.plugins.fullscreenbg.gschema.xml
%{_datadir}/eog/plugins/fullscreenbg/
%{_libdir}/eog/plugins/fullscreenbg.py

%files -n eog-plugin-light-theme
%{_datadir}/metainfo/eog-light-theme.appdata.xml
%{_libdir}/eog/plugins/light-theme.plugin
%{_libdir}/eog/plugins/liblight-theme.so

%files -n eog-plugin-map
%{_datadir}/metainfo/eog-map.appdata.xml
%{_libdir}/eog/plugins/map.plugin
%{_libdir}/eog/plugins/libmap.so

%files -n eog-plugin-maximize-windows
%{_datadir}/metainfo/eog-maximize-windows.appdata.xml
%{_libdir}/eog/plugins/maximize-windows.plugin
%{_libdir}/eog/plugins/maximize-windows.py

%files -n eog-plugin-pythonconsole
%{_datadir}/metainfo/eog-pythonconsole.appdata.xml
%{_libdir}/eog/plugins/pythonconsole.plugin
%{_libdir}/eog/plugins/pythonconsole/
%{_datadir}/glib-2.0/schemas/org.gnome.eog.plugins.pythonconsole.gschema.xml
%{_datadir}/eog/plugins/pythonconsole/

%files -n eog-plugin-send-by-mail
%{_datadir}/metainfo/eog-send-by-mail.appdata.xml
%{_libdir}/eog/plugins/send-by-mail.plugin
%{_libdir}/eog/plugins/libsend-by-mail.so

%files -n eog-plugin-slideshowshuffle
%{_datadir}/metainfo/eog-slideshowshuffle.appdata.xml
%{_libdir}/eog/plugins/slideshowshuffle.plugin
%{_libdir}/eog/plugins/slideshowshuffle.py

%files lang -f %{name}.lang

%changelog
* Sun Mar 19 2023 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 44.0:
  + Updated translations.
* Mon Mar 13 2023 Bjørn Lie <bjorn.lie@gmail.com>
- Drop pkgconfig(libgdata) BuildRequires and pass
  plugin_postasa=false to meson, no longer build google picasa web
  support. Google discontinued this service some time ago.
- Add eog-plugin-postasa Obsoletes: Make upgrades painless for
  end-users.
* Sat Jan  7 2023 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 42.3:
  + General changes: build: Use correct variables.
  + Updated translations.
* Sun Sep 18 2022 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 42.2:
  + Updated translations.
* Mon Apr 25 2022 Dominique Leuenberger <dimstar@opensuse.org>
- Update to version 42.1:
  + Updated translations.
* Sun Mar 20 2022 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 42.0:
  + Updated translations.
* Sat Mar  5 2022 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 42.rc:
  + General changes: build: drop unused positional argument.
  + Plugin changes: Disable Dark Theme: Fix light-theme plugin file
    output name
  + Updated translations.
- Drop eog-plugins-mesonfix-061.patch: Fixed upstream.
* Sat Feb 12 2022 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 42.alpha:
  + Port build system to Meson
  + Plugin changes:
  - Exif Display: translate: mark "Details" page title
    translatable
  - Flickr Uploader (postr): Do not migrate to Meson and disable
    by default as Postr is no longer maintained and working
  - Hide Titlebar: Drop hide-titlebar plugin
  + Updated translations.
- Add meson BuildRequires and macros following upstreams port.
- Drop eog-plugin-hide-titlebar sub-package and Obsolete it from
  the main package.
- Drop pkgconfig(gtk+-3.0) BuildRequires: No longer needed.
- Add explicit pkgconfig(gio-2.0) and pkgconfig(libpeas-gtk-1.0)
  BuildRequires, meson checks for them.
- Correct the Suggests we have.
- Add eog-plugins-mesonfix-061.patch: Fix build with meson 0.61 and
  newer.
* Sun Jan  9 2022 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 3.26.8:
  + Exif Display: make _eog_util_make_valid_utf8 static.
  + Updated translations.
* Mon Sep 20 2021 Stanislav Brabec <sbrabec@suse.com>
- Remove obsolete translation-update-upstream support
  (jsc#SLE-21105).
* Sun Mar 21 2021 Dominique Leuenberger <dimstar@opensuse.org>
- Update to version 3.26.7:
  + Export to Folder: Menu item is not translated.
  + Updated translations.
* Sat Nov 21 2020 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 3.26.6:
  + Replace projects.gnome.org URLs with gitlab.gnome.org URLs.
  + Replace Bugzilla URLs with gitlab.gnome.org URLs.
  + Updated translations.
* Sat Jan 25 2020 Dominique Leuenberger <dimstar@opensuse.org>
- No longer recommend -lang: supplements are in use
* Sun Jan  5 2020 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 3.26.5:
  + Plugin changes:
  - Export to Folder:
    . Fix setting target directory.
    . Small UI improvements in configuration dialog.
* Mon Sep  9 2019 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 3.26.4:
  + Updated translations.
* Mon Jul 23 2018 bjorn.lie@gmail.com
- Update to version 3.26.3:
  + Plugin changes:
  - PicasaWeb Uploader.
  - Avoid compiler warning with glib 2.58.
  + Updated translations.
* Wed Feb 28 2018 dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
* Tue Feb 13 2018 dimstar@opensuse.org
- Update to version 3.26.2:
  + Updated translations.
* Tue Oct  3 2017 luc14n0@linuxmail.org
- Update to version 3.26.1:
  + Updated translations.
- Add '-m 644' to the 'install %%{S:1}' at %%prep section: remove of
  executable permitions.
- Drop %%glib2_gsettings_schema_* requires/post/postun:
  functionality now covered by file triggers.
* Mon Sep 11 2017 zaitor@opensuse.org
- Update to version 3.26.0:
  + Updated translations.
* Wed Sep  6 2017 luc14n0@linuxmail.org
- Update to version 3.25.92:
  + Plugin change: "Send by Mail" menu item misses a mnemonic
    (bgo#786011).
  + Updated translations.
* Tue Jun 20 2017 dimstar@opensuse.org
- Update to version 3.25.1:
  + Take advantage of Unicode (bgo#774002).
  + Drop intltool support in favour of plain gettext.
  + Drop gnome-common dependency.
  + Updated translations.
- Drop intltool BuildRequires: no longer needed.
* Wed Apr 19 2017 zaitor@opensuse.org
- Update to version 3.16.6:
  + Updated translations.
* Tue Oct 11 2016 zaitor@opensuse.org
- Update to version 3.16.5:
  + Map: map plugin:
  - Use default marker (bgo#771945).
  - Slowly move to selected image (bgo#771948).
  - Initial zoom level wrong (bgo#771976).
  + Updated translations.
* Mon May  9 2016 zaitor@opensuse.org
- Update to version 3.16.4:
  + Updated translations.
* Fri Mar 18 2016 dimstar@opensuse.org
- Fix files section to be more tolerant.
* Mon Nov  9 2015 zaitor@opensuse.org
- Update to version 3.16.3:
  + Some entries of the popovermenu entry should be grayed when no
    image opened (bgo#755244).
  + Updated translations.
* Tue Sep 29 2015 zaitor@opensuse.org
- Update to version 3.16.2:
  + Map plugin uses outdated icon to mark image location
    (bgo#753761).
  + Updated translations.
* Mon Aug 17 2015 zaitor@opensuse.org
- Updated to version 3.16.1:
  + Updated translations.
* Mon Mar 23 2015 dimstar@opensuse.org
- Update to version 3.16.0:
  + Updated translations.
* Mon Mar 23 2015 badshah400@gmail.com
- eog-plugins should suggest instead of recommending individual
  plugin subpackages; for safe updates, have a split provides on
  eog-plugins for each plugin subpackage.
* Wed Mar 18 2015 sfalken@opensuse.org
- Revised package, to provide individual subpackages for the
  plugins.
- Add eog-plugins.SUSE to main package, to ensure it is being built
  (empty packages are rejected).
* Tue Mar 17 2015 dimstar@opensuse.org
- Update to version 3.15.92:
  + Updated translations.
* Tue Feb 17 2015 dimstar@opensuse.org
- Update to version 3.15.90:
  + General changes:
  - bgo#741503: Typo in translatable string.
  - bgo#743885: Port plugins to GAction.
  + New Plugin: Maximize Windows: Causes new windows to open
    maximized (bgo#744083).
  + Updated translations.
* Thu Nov 13 2014 zaitor@opensuse.org
- Update to version 3.14.1:
  + Updated translations.
* Mon Sep 22 2014 zaitor@opensuse.org
- Update to version 3.14.0:
  + No changes from previous version.
* Mon Sep 15 2014 zaitor@opensuse.org
- Update to version 3.13.92:
  + EOG's Map plugin crashes on invalid GPS coordinates
    (bgo#735914).
  + Updated translations.
* Mon Aug 18 2014 dimstar@opensuse.org
- Update to version 3.13.1:
  + General changes: add metainfo files for all available plugins
    (bgo#731676).
  + Plugin changes: Exif Display: Fix deprecated stock icon and
    GtkTable usage.
  + Updated translations.
* Sun Jul 27 2014 dimstar@opensuse.org
- Specify correct, minimal version of eog BuildRequires.
* Tue Apr 15 2014 zaitor@opensuse.org
- Update to version 3.12.1:
  + Export to Folder: bgo#727218, Make export-to-folder plugin less
    chatty.
  + Slideshow Shuffle: bgo#727222, Switch slideshowshuffle to
    python3 loader.
* Tue Mar 25 2014 dimstar@opensuse.org
- Update to version 3.12.0:
  + Stable release, no changes since version 3.11.92.
* Wed Mar 19 2014 dimstar@opensuse.org
- Update to version 3.11.92:
  + Export to Folder: Fix PyGObject deprecation warnings.
  + Python Console: Fix PyGObject deprecation warnings.
  + Updated translations.
* Mon Jan 13 2014 dimstar@opensuse.org
- Update to version 3.11.4:
  + Multiplpe plugins: convert to python 3:
  - Export to Folder.
  - Fullscreen Background.
  - Python Console.
  + Fullscreen Background: Adapt to API changes in eog 3.11.3
  + Modernize build system.
  + Raise Python and eog dependencies.
- Add python3 BuildRequires: required for the move to python3.
* Tue Oct 15 2013 dimstar@opensuse.org
- Update to version 3.10.1:
  + Updated translations.
* Tue Sep 24 2013 dimstar@opensuse.org
- Update to version 3.10.0:
  + Updated translations.
* Tue Jul 30 2013 dimstar@opensuse.org
- Update to version 3.9.5:
  + Exif Display: Fails to build against eog trunk (bgo#704081).
- Drop eog-plugins-fix-eog-3.9.patch: fixed upstream.
* Fri Jul 12 2013 dimstar@opensuse.org
- Add eog-plugins-fix-eog-3.9.patch: Fix build against eog 3.9.1.
* Tue May 14 2013 dimstar@opensuse.org
- Update to version 3.8.1:
  + Updated translations.
* Mon Mar 25 2013 dimstar@opensuse.org
- Update to version 3.8.0:
  + Updated translations.
* Mon Mar 18 2013 dimstar@opensuse.org
- Update to version 3.7.92:
  + Updated translations.
* Tue Mar  5 2013 dimstar@opensuse.org
- Update to version 3.7.91:
  + Exif Display:
  - Embed UI files into plugin using GResource.
  + Fit To Width:
  - Improve translatability of description strings.
  + PicasaWeb Uploader:
  - Embed UI files into plugin using GResource.
  + Updated translations.
- Add pkgconfig(glib-2.0) BuildRequires, so it can be versioned.
* Mon Oct 15 2012 dimstar@opensuse.org
- Update to version 3.6.1:
  + Adjust egrep(1) usage to be more portable (bgo#685356)
  + Updated translations.
* Mon Sep 24 2012 dimstar@opensuse.org
- Update to version 3.6.0:
  + Updated translations.
* Wed Sep 19 2012 dimstar@opensuse.org
- Update to version 3.5.92:
  + Updated translations.
* Mon Sep  3 2012 dimstar@opensuse.org
- Update to version 3.5.91:
  + Updated translations.
* Mon Aug 20 2012 dimstar@opensuse.org
- Update to version 3.5.5:
  + New plugins:
  - Hide Titlebar
  - Disable Dark Theme
  - Export to Folder
  + Updated translations.
* Tue May 29 2012 zaitor@opensuse.org
- Update to version 3.4.1:
  + Exif Display:
  - Remove markup from translatable UI strings.
  - Fixed bgo#676735, eog crashes when quickly clicking the Back
    button twice.
  + Updated translations.
* Mon Mar 26 2012 zaitor@opensuse.org
- Update to version 3.4.0:
  + Updated translations.
* Tue Mar 20 2012 zaitor@opensuse.org
- Update to version 3.3.92:
  + Updated translations.
* Mon Mar  5 2012 dimstar@opensuse.org
- Update to version 3.3.91:
  + Exif Display
  - Drop unused variable
  + Fullscreen Background
  - Actually make use of translations in config dialog
  + Python Console
  - Actually make use of translations in config dialog
  + Updated translations.
* Tue Feb 21 2012 vuntz@opensuse.org
- Update to version 3.3.90:
  + Fullscreen Background:
  - Various code improvements
  + Python Console:
  - Import latest code from gedit's Python Console plugin
  - Coding style improvements
  + Slideshow Shuffle:
  - Code improvements
  + Updated translations.
- Add pkgconfig(gsettings-desktop-schemas) BuildRequires: new
  dependency for pythonconsole plugin.
* Thu Feb  9 2012 dimstar@opensuse.org
- Update to version 3.3.5:
  + New plugins:
  - Fullscreen Background (fullscreenbg)
  + Plugin changes:
  - Map: Miscellaneous code improvements
  - Exif Display: Fixed possible memory leak
  + Bugs fixed: bgo#667979, bgo#643769
  + Updated translations:
* Tue Nov 22 2011 vuntz@opensuse.org
- Update to version 3.2.2:
  + PicasaWeb Uploader: bgo#663494, The column titles in the
    postasa-uploads-view are not translatable.
  + Updated translations.
* Thu Oct 20 2011 dimstar@opensuse.org
- Update to version 3.2.1:
  + Updated translations.
* Fri Sep 30 2011 vuntz@opensuse.org
- Remove unneeded pkgconfig(pygobject-2.0) BuildRequires.
- Change lang subpackages Requires to Recommends.
* Mon Sep 26 2011 vuntz@opensuse.org
- Update to version 3.2.0:
  + Updated translations.
* Thu Sep 22 2011 vuntz@opensuse.org
- Update to version 3.1.3:
  + Map: bgo#658349, Support libchamplain 0.11/0.12
  + Updated translations.
- Remove sed hack in %%prep to enable champlain 0.12 support: fixed
  upstream.
* Sun Sep 18 2011 jengelh@medozas.de
- Remove redundant/obsolete tags/sections from specfile
  (cf. packaging guidelines)
- Use %%_smp_mflags for parallel build
* Tue Sep  6 2011 vuntz@opensuse.org
- Move to libchamplain 0.12:
  + Change pkgconfig(champlain-gtk-0.10) BuildRequires to
    pkgconfig(champlain-gtk-0.12).
  + Add a sed hack in %%prep to make configure look for the right
    pkg-config file.
* Mon Jul 25 2011 vuntz@opensuse.org
- Update to version 3.1.2:
  + Map
  - bgo#654650: Wrong location of photos with map plugin
  + Exif Display
  - Move GtkBuilder files out of /usr/lib into /usr/share
  + PicasaWeb Uploader
  - bgo#654302: postasa plugin doesn't build with libgdata 0.9.x
  - Move GtkBuilder files out of /usr/lib into /usr/share
  - Various small code and UI improvements
  + Updated translatons.
- Re-enable pkgconfig(libgdata) BuildRequires as the postasa plugin
  is buildable again.
* Sat Jul  9 2011 vuntz@opensuse.org
- Update to version 3.1.1:
  + Python Console
  - Install code files into subfolder for a cleaner plugin folder
  + PicasaWeb Uploader
  - Port to libpeas-base plugin API
  + Updated translations.
- Comment pkgconfig(libgdata) BuildRequires as the postasa plugin
  doesn't build with libgdata 0.9.x (bgo#654302).
* Thu Apr 28 2011 fcrozat@novell.com
- Update to version 3.0.0:
  + Re-release 2.91.90 as 3.0.0 to have an "official" 3.0-release.
* Wed Mar 30 2011 fcrozat@novell.com
- Update to version 2.91.90:
  + Python Console
  - Port to libpeas-based plugin API
  + Slideshow Shuffle
  - Port to libpeas-based plugin API
- Changes from version 2.91.7:
  + Exif Display
  - Convert to libpeas-based plugin API
  - Migrate from GConf to GSettings
  + Fit to Width:
  - Convert to libpeas-based plugin API
  + Map
  - bgo#642802; Use libchamplain 0.10 for the map plugin
  - Convert to libpeas-based plugin API
  - Mark all images from the collection on the map
  - Make markers clickable to change the current picture
  + PicasaWeb Uploader
  - bgo#639261: Fails to build against libgdata 0.8.0
  + Postr
  - Convert to libpeas-based plugin API
  + Send By Mail
  - Convert to libpeas-based plugin API
  + Other changes:
  - Disable python plugins until they work correctly with
    eog-3.0.
- Drop eog-plugins-libchamplain-0.8.patch: fixed upstream
- Use macros for GSettings schemas.
- postasa plugin isn't available for now, so comment it out in file
  list.
- Move to pkgconfig()-style BuildRequires, and to gtk3:
  + Old ones: clutter-gtk-devel, eog-devel, gconf2-devel,
    glib2-devel, gtk2-devel, libchamplain-devel, libexif-devel,
    libgdata-devel, python-gobject2-devel.
  + New ones: champlain-gtk-0.10, clutter-gtk-1.0, eog, gtk+-3.0,
    libexif, libgdata, pygobject-2.0.
- Remove python-gnome-devel, python-gtk-devel BuildRequires and
  replace with pkgconfig(libpeas-1.0) as plugins are moving to
  libpeas.
* Sun Aug 29 2010 vuntz@opensuse.org
- Add eog-plugins-libchamplain-0.8.patch to fix build with latest
  libchamplain.
* Sat Aug  7 2010 vuntz@opensuse.org
- Drop eog-plugins-recent-clutter-gtk.patch: we're going back to a
  released version of clutter-gtk, so we don't need this anymore.
* Fri Jul 23 2010 vuntz@opensuse.org
- Update to version 2.30.1:
  + Updated translations.
* Fri Jun  4 2010 sbrabec@suse.cz
- Added support for translation-update-upstream (FATE#301344).
* Thu Apr  1 2010 vuntz@opensuse.org
- New package.
